%define name dotconf
%define	major 0
%define	libname %mklibname dotconf %{major}
%define	libnamedevel %mklibname dotconf -d

Name: dotconf
Summary: A ConfigurationFile Parser Library
Version: 1.3
Release: %mkrel 2
License: LGPLv2
Group: System/Libraries
URL: https://github.com/williamh/dotconf
Source: %{name}-%{version}.tar.gz

%description
Dotconf is a configuration file parser library.

%package -n %{libname}
Summary: The shared libraries needed for running programs using dotconf
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n	%{libname}
Dotconf is a configuration file parser library.
This package contains only the shared libraries needed for running programs 
dynamically linked against dotconf.

%package -n %{libnamedevel}
Summary: The libraries and headers needed for dotconf development
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}dotconf-static-devel < 1.0.13-8

%description -n %{libnamedevel}
Dotconf is a configuration file parser library.
This package contains documentation, headers and shared library symlinks 
needed for dotconf development.

%package examples
Summary: The examples for the dotconf library
Group: Development/C
BuildArch: noarch

%description examples
Dotconf is a configuration file parser library.
This package contains examples, installed in the same place as the 
documentation.

%prep
%setup -qn williamh-dotconf-4cd7b3a

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -fr %{buildroot}%{_libdir}/*.la %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{libnamedevel}
%doc AUTHORS README doc/dotconf*
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files examples
%doc examples/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 349067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.3-1.mga2
+ Revision: 201772
- new version 1.3

* Thu Jan 26 2012 fwang <fwang> 1.0.13-8.mga2
+ Revision: 201767
- update file list
- update file list
- drop .la files

* Thu Jan 20 2011 ahmad <ahmad> 1.0.13-7.mga1
+ Revision: 25788
- drop old/unneeded scriptlets
- imported package dotconf

